DO $$ BEGIN
 CREATE TYPE "unit_quantity" AS ENUM('meters_squared');
EXCEPTION
 WHEN duplicate_object THEN null;
END $$;
--> statement-breakpoint
ALTER TABLE "recommendation_materials" ADD COLUMN "quantity" real NOT NULL;--> statement-breakpoint
ALTER TABLE "recommendation_materials" ADD COLUMN "quantity_unit" "unit_quantity" NOT NULL;--> statement-breakpoint
ALTER TABLE "recommendation_materials" ADD COLUMN "estimated_cost" real NOT NULL;